gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Ornaments.VSeparator

Contents

- Detail
- Class Hierarchy
- Types
- Constructors

Description

A vertical separator

Synopsis

- data VSeparator
- class SeparatorClass o => VSeparatorClass o
- castToVSeparator :: GObjectClass obj => obj -> VSeparator
- gTypeVSeparator :: GType
- toVSeparator :: VSeparatorClass o => o -> VSeparator
- vSeparatorNew :: IO VSeparator

# Detail

The `VSeparator` widget is a vertical separator, used to group the widgets within a window. It displays a vertical line with a shadow to make it appear sunken into the interface.

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----Separator
    | +----VSeparator

# Types

data VSeparator Source #

#### Instances

Instances details

Eq VSeparator Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: VSeparator -> VSeparator -> Bool Source # (/=) :: VSeparator -> VSeparator -> Bool Source #
Ord VSeparator Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: VSeparator -> VSeparator -> Ordering Source #

(<) :: VSeparator -> VSeparator -> Bool Source #

(<=) :: VSeparator -> VSeparator -> Bool Source #

(>) :: VSeparator -> VSeparator -> Bool Source #

(>=) :: VSeparator -> VSeparator -> Bool Source #

max :: VSeparator -> VSeparator -> VSeparator Source #

min :: VSeparator -> VSeparator -> VSeparator Source #

GObjectClass VSeparator Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: VSeparator -> GObject Source # unsafeCastGObject :: GObject -> VSeparator Source #
SeparatorClass VSeparator Source # |
Instance details Defined in Graphics.UI.Gtk.Types
VSeparatorClass VSeparator Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WidgetClass VSeparator Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class SeparatorClass o => VSeparatorClass o Source #

#### Instances

Instances details

VSeparatorClass VSeparator Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToVSeparator :: GObjectClass obj => obj -> VSeparator Source #

gTypeVSeparator :: GType Source #

toVSeparator :: VSeparatorClass o => o -> VSeparator Source #

# Constructors

vSeparatorNew :: IO VSeparator Source #

Creates a new `VSeparator`.